export function BoxBoxSolver(a, b) {
    if (a.position.x >= b.position.x || a.position.x <= b.position.x + b.size.x) {
        a.position.x -= (a.position.x - b.position.x);
    }
    if (a.position.y >= b.position.y || a.position.y <= b.position.y + b.size.y) {
        a.position.y -= (a.position.y - b.position.y);
    }
    if (a.position.z >= b.position.z || a.position.z <= b.position.z + b.size.z) {
        a.position.z -= (a.position.z - b.position.z);
    }
}
export function BoxTerrainSolver(a, b) {
    const terrainBounds = b.getBoundingBox(a.boundingBox);
    BoxBoxSolver(a.boundingBox, terrainBounds);
}
